Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classparser.manchester
Class ManchesterOWLParser

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.classparser.manchester.ManchesterOWLParser

All Implemented Interfaces:
  ManchesterOWLParserConstants

    public class ManchesterOWLParser

extends Object
implements ManchesterOWLParserConstants

Field Summary
`static String` | `errorMessage`
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`static boolean` | `nextCouldBeCls`
`static boolean` | `nextCouldBeDatatypeName`
`static boolean` | `nextCouldBeInstance`
`static boolean` | `nextCouldBeSlot`
`static RDFProperty` | `recentHasValueProperty`
`Token` | `token`
`ManchesterOWLParserTokenManager` | `token_source`

Fields inherited from interface edu.stanford.smi.protegex.owl.model.classparser.manchester.ManchesterOWLParserConstants
`ALL, AND, CLASS_EXPR_COMMENT, CLOSEPAR, CLOSESQPAR, DATATYPEID, DEFAULT, DIGIT, EOF, EXACT, EXPONENT, FLOATING_POINT_LITERAL, HAS, IDENTIFIER, INTEGER_LITERAL, LETTER, MAX, MIN, NOT, ONE_OF, OPENPAR, OPENSQPAR, OR, SOME, STRING_LITERAL, tokenImage, UNBOUNDEDVAL`

Constructor Summary
`ManchesterOWLParser(InputStream stream)`
`ManchesterOWLParser(InputStream stream, String encoding)`
`ManchesterOWLParser(ManchesterOWLParserTokenManager tm)`
`ManchesterOWLParser(Reader stream)`

Method Summary
`int` | `CardinalityValue()`
`static void` | `checkClass(OWLModel owlModel, String text)`
`static void` | `checkHasValueFiller(OWLModel owlModel, String text)`
`static void` | `checkQuantifierFiller(OWLModel owlModel, String text)`
`Object` | `DataType()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`static DatatypeNameChecker` | `getDatatypeNameChecker()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`RDFSClass` | `IDClass()`
`String` | `Identifier()`
`RDFSLiteral[]` | `OneOfValues()`
`OWLAllValuesFrom` | `OWLAllValuesFrom(RDFProperty property)`
`OWLCardinality` | `OWLCardinality(RDFProperty slot)`
`OWLCardinalityBase` | `OWLCardinalityBase(RDFProperty property)`
`RDFSClass` | `OWLComplementClass()`
`RDFSClass` | `OWLEnumeratedClass()`
`OWLHasValue` | `OWLHasValue(RDFProperty slot)`
`Object` | `OWLHasValueValue()`
`Object` | `OWLHasValueValueAndEOF()`
`Object` | `OWLHasValueValueBooleanOrInstance()`
`Float` | `OWLHasValueValueFloat()`
`Integer` | `OWLHasValueValueInteger()`
`String` | `OWLHasValueValueString()`
`RDFSClass` | `OWLIntersectionClass()`
`OWLMaxCardinality` | `OWLMaxCardinality(RDFProperty slot)`
`OWLMinCardinality` | `OWLMinCardinality(RDFProperty slot)`
`RDFSClass` | `OWLRestrictionOrNamedClass()`
`OWLSomeValuesFrom` | `OWLSomeValuesFrom(RDFProperty property)`
`RDFSClass` | `OWLUnionClass()`
`static RDFSClass` | `parseClass(OWLModel owlModel, String text)`
`RDFSClass` | `parseFile()`
`static Object` | `parseHasValueFiller(OWLModel owlModel, String text)`
`static Object` | `parseQuantifierFiller(OWLModel owlModel, String text)`
`void` | `ReInit(InputStream stream)`
`void` | `ReInit(InputStream stream, String encoding)`
`void` | `ReInit(ManchesterOWLParserTokenManager tm)`
`void` | `ReInit(Reader stream)`
`OWLRestriction` | `Restriction(RDFProperty property)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nextCouldBeCls

    public static boolean nextCouldBeCls

### nextCouldBeInstance

    public static boolean nextCouldBeInstance

### nextCouldBeSlot

    public static boolean nextCouldBeSlot

### recentHasValueProperty

    public static RDFProperty recentHasValueProperty

### errorMessage

    public static String errorMessage

### nextCouldBeDatatypeName

    public static boolean nextCouldBeDatatypeName

### token_source

    public ManchesterOWLParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### ManchesterOWLParser

    public ManchesterOWLParser(InputStream stream)

### ManchesterOWLParser

    public ManchesterOWLParser(InputStream stream,
                               String encoding)

### ManchesterOWLParser

    public ManchesterOWLParser(Reader stream)

### ManchesterOWLParser

    public ManchesterOWLParser(ManchesterOWLParserTokenManager tm)

Method Detail

### getDatatypeNameChecker

    public static DatatypeNameChecker getDatatypeNameChecker()

### checkClass

    public static void checkClass(OWLModel owlModel,
                                  String text)
                           throws ParseException

  Throws:
    `ParseException`

### checkHasValueFiller

    public static void checkHasValueFiller(OWLModel owlModel,
                                           String text)
                                    throws ParseException

  Throws:
    `ParseException`

### checkQuantifierFiller

    public static void checkQuantifierFiller(OWLModel owlModel,
                                             String text)
                                      throws ParseException

  Throws:
    `ParseException`

### parseClass

    public static RDFSClass parseClass(OWLModel owlModel,
                                       String text)
                                throws ParseException

  Throws:
    `ParseException`

### parseHasValueFiller

    public static Object parseHasValueFiller(OWLModel owlModel,
                                             String text)
                                      throws ParseException

  Throws:
    `ParseException`

### parseQuantifierFiller

    public static Object parseQuantifierFiller(OWLModel owlModel,
                                               String text)
                                        throws ParseException

  Throws:
    `ParseException`

### parseFile

    public final RDFSClass parseFile()
                              throws ParseException

  Throws:
    `ParseException`

### OWLUnionClass

    public final RDFSClass OWLUnionClass()
                                  throws ParseException

  Throws:
    `ParseException`

### OWLIntersectionClass

    public final RDFSClass OWLIntersectionClass()
                                         throws ParseException

  Throws:
    `ParseException`

### OWLComplementClass

    public final RDFSClass OWLComplementClass()
                                       throws ParseException

  Throws:
    `ParseException`

### OWLRestrictionOrNamedClass

    public final RDFSClass OWLRestrictionOrNamedClass()
                                               throws ParseException

  Throws:
    `ParseException`

### IDClass

    public final RDFSClass IDClass()
                            throws ParseException

  Throws:
    `ParseException`

### Restriction

    public final OWLRestriction Restriction(RDFProperty property)
                                     throws ParseException

  Throws:
    `ParseException`

### OWLCardinalityBase

    public final OWLCardinalityBase OWLCardinalityBase(RDFProperty property)
                                                throws ParseException

  Throws:
    `ParseException`

### OWLMaxCardinality

    public final OWLMaxCardinality OWLMaxCardinality(RDFProperty slot)
                                              throws ParseException

  Throws:
    `ParseException`

### OWLMinCardinality

    public final OWLMinCardinality OWLMinCardinality(RDFProperty slot)
                                              throws ParseException

  Throws:
    `ParseException`

### OWLCardinality

    public final OWLCardinality OWLCardinality(RDFProperty slot)
                                        throws ParseException

  Throws:
    `ParseException`

### OWLHasValue

    public final OWLHasValue OWLHasValue(RDFProperty slot)
                                  throws ParseException

  Throws:
    `ParseException`

### OWLHasValueValueAndEOF

    public final Object OWLHasValueValueAndEOF()
                                        throws ParseException

  Throws:
    `ParseException`

### OWLHasValueValue

    public final Object OWLHasValueValue()
                                  throws ParseException

  Throws:
    `ParseException`

### OWLHasValueValueString

    public final String OWLHasValueValueString()
                                        throws ParseException

  Throws:
    `ParseException`

### OWLHasValueValueFloat

    public final Float OWLHasValueValueFloat()
                                      throws ParseException

  Throws:
    `ParseException`

### OWLHasValueValueInteger

    public final Integer OWLHasValueValueInteger()
                                          throws ParseException

  Throws:
    `ParseException`

### OWLHasValueValueBooleanOrInstance

    public final Object OWLHasValueValueBooleanOrInstance()
                                                   throws ParseException

  Throws:
    `ParseException`

### CardinalityValue

    public final int CardinalityValue()
                               throws ParseException

  Throws:
    `ParseException`

### Identifier

    public final String Identifier()
                            throws ParseException

  Throws:
    `ParseException`

### OWLEnumeratedClass

    public final RDFSClass OWLEnumeratedClass()
                                       throws ParseException

  Throws:
    `ParseException`

### OWLAllValuesFrom

    public final OWLAllValuesFrom OWLAllValuesFrom(RDFProperty property)
                                            throws ParseException

  Throws:
    `ParseException`

### OWLSomeValuesFrom

    public final OWLSomeValuesFrom OWLSomeValuesFrom(RDFProperty property)
                                              throws ParseException

  Throws:
    `ParseException`

### DataType

    public final Object DataType()
                          throws ParseException

  Throws:
    `ParseException`

### OneOfValues

    public final RDFSLiteral[] OneOfValues()
                                    throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(InputStream stream,
                       String encoding)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(ManchesterOWLParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.